﻿@{
    ViewBag.Title = "Productos - Carga masiva desde Excel";
    Layout = "~/Views/Shared/_ListLayout.cshtml";
}

<div class="page-header">
    <h1 class="page-title">Productos - Carga masiva</h1>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-8">
            @using (Html.BeginForm("ProductUpload", "Products", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off", @enctype = "multipart/form-data"  }))
            {
                <div class="example-wrap">
                    <h5 class="example-title">Seleccione el archivo Excel con los productos a cargar:</h5>
                    <input type="file" name="productsFile" id="image" data-plugin="dropify" data-default-file="" />
                    <h6 class="example-title">
                        [Descargar archivo modelo haciendo <a href="\Content\UploadDirectory\ProductUpload\Fibrahumana - Productos Template.xlsx">click aquí</a>]
                    </h6>
                    <div class="form-group text-right">
                        <button type="submit" class="btn btn-primary btn-success" id="btnSave">Subir</button>
                        <button type="button" class="btn btn-default" onclick="window.location.href = '/Products'">Cancelar</button>
                    </div>
                </div>
            }
            </div>
            <div class="col-md-12">
                <span style="font-weight:bold;">IMPORTANTE:</span>
                Una vez cargados los productos ingresar al siguiente link para actualizar las SEO URls.<br />
                <a href="/Configuration/UpdateSeoUrls">Actualizar SEO Url's</a>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Title: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Título es requerido.'
                            }
                        }
                    },
                    Code: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Código es requerido.'
                            }
                        }
                    },
                    Description: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Descripción es requerido.'
                            }
                        }
                    },
                    RetailPrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    WholesalePrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    Benefit: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }                    ,
                    Weight: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    },
                    OldPrice: {
                        validators: {
                            numeric: {
                                message: 'Ingrese un valor correcto.',
                                separator: ','
                            }
                        }
                    }

                }
            });
        })();

        $(document).ready(function () {

            $('#categories').multiSelect()
        })
        

    </script>
}

